GearmanClient::doBackground
GearmanClient::doHighBackground
GearmanClient
PHP Manual

# GearmanClient::doHigh

Run a single high priority task

### Description

public string GearmanClient::doHigh ( string `$function_name` , string `$workload` [, string `$unique` ] )

Runs a single high priority task and returns a string representation of the result. It is up to the GearmanClient and GearmanWorker to agree on the format of the result. High priority tasks will get precedence over normal and low priority tasks in the job queue.

### Parameters

`function_name`

  A registered function the worker is to execute

`workload`

  Serialized data to be processed

`unique`

  A unique ID used to identify a particular task

### Return Values

A string representing the results of running a task.

### See Also

- GearmanClient::doNormal
- GearmanClient::doLow
- GearmanClient::doBackground
- GearmanClient::doHighBackground
- GearmanClient::doLowBackground